Subject: Add 802.1ah I-BEB Bridge Module to draft-ietf-l2vpn-vpls-bridge-interop

From: Maarten Vissers <[email-masked]>
Date: Sun, 05 Oct 2008 20:42:31 +0200

Dinesh, Ali,

draft-ietf-l2vpn-vpls-bridge-interop describes in Figure 2 The Model of
802.1ad Bridge Module. Now that 802.1ah is approved we will see I-BEBs being
connected as u-PE to VPLS capable n-PEs (see my email "Add I-BEB to VPLS
interop to draft-ietf-l2vpn-vpls-bridge-interop"). I expect that this will
not be the only PBB related interoperability; the next step is to integrate
the I-BEB function in VPLS capable PEs in the same manner as the PEB
function was integrated (as per Figure 2). This will then result in the
following basic 802.1ah Bridge Module model:

             +---------------------------------------------------+ 
             |              802.1ah Bridge Module Model          |  
       U-LAN |                                                   | 
  +---+P-LAN |                     +------+ +---+ +-----------+  | 
  |CE |----------------------------| MAC  |-|MEP|-|           |  | 
  +---+C-LAN |                     |Header| +---+ |           |  | 
      SP-LAN |                     +------+       |           |  | 
             |                        o           |   VLAN    |  | 
             |                        o           |           |  | 
       U-LAN |                        o           |   Bridge  |  | 
  +---+P-LAN |                     +------+ +---+ |           |  | 
  |CE |----------------------------| MAC  |-|MEP|-|           |  | 
  +---+C-LAN |                     |Header| +---+ |           |  | 
      SP-LAN |                     +------+       |           |  |
             |                     +------+       |           |  |
  +---+S-LAN | +------+            |  MAC | +---+ |           |  | 
  |CE |--------|S-VLAN|------------|Header|-|MEP|-|           |  | 
  +---+      | |bridge|            +------+ +---+ |           |  | 
             | |      |  +------+  +------+ +---+ |           |  |
             | |      |--|S-VLAN|--|  MAC |-|MEP|-|           |  |
             | |      |--|(d)mux|  |Header| +---+ |           |  |
             | |      |  +------|  +------+       |           |  |
             | +------+                           |           |  | 
             |    o                               |           |  | 
             |    o                               |           |  | 
             |    o                +------+       |           |  | 
  +---+S-LAN | +------+            |  MAC | +---+ |           |  | 
  |CE |--------|S-VLAN|------------|Header|-|MEP|-|           |  | 
  +---+      | |bridge|            +------+ +---+ |           |  | 
             | |      |  +------+  +------+ +---+ |           |  |
             | |      |--|S-VLAN|--|  MAC |-|MEP|-|           |  |
             | |      |--|(d)mux|  |Header| +---+ |           |  |
             | |      |  +------|  +------+       |           |  |
             | +------+                           |           |  |
             |                                    +-----------+  |
             |                                                   | 
             +---------------------------------------------------+ 
                                      
               Figure - The Model of 802.1ah Bridge Module 

The port-based services are supported for Untagged, Priority-Tagged,
C-Tagged and S-Priority Tagged LAN service interfaces. The frames from those
interfaces are encapsulated in a new Backbone MAC frame, which results in
the addition of a B-MAC Header with TYPE:89-10, B-SA and B-DA fields to the
received frames. For the case of S-Priority Tagged frames, the S-Priority
Tag is removed before the encapsulation.

The one-to-one S-Tagged services result in the S-VLAN frames (without their
S-Tag) of such service passing through a S-VLAN bridge function after which
these service frames are encapsulated in a Backbone MAC frame, which results
in the addition of a B-MAC Header with TYPE:89-10, B-SA and B-DA fields. The
S-Tag is not part of these frames.

The bundling/all-to-one bundling S-Tagged services result in the S-VLAN
frames (without their S-Tag) of such service passing through a S-VLAN bridge
function after which these service frames are multiplexed in the S-VLAN
multiplex function that inserts the S-Tag and then encapsulated in a
Backbone MAC frame, which results in the addition of a B-MAC Header with
TYPE:89-10, B-SA and B-DA fields.

After the encapsulation a MEP function will follow that inserts Ethernet OAM
to monitor the service.

The frame formats after the MAC Header insertion and MEP functions are then
as follows for the different services:

                  1-to-1         bundling
 port-based      S-Tagged        S-Tagged
  service         service         service         BSI OAM
   frame:          frame:          frame:          frame:

    B-DA            B-DA            B-DA            B-DA
    B-SA            B-SA            B-SA            B-SA
    TYPE:89-10      TYPE:89-10      TYPE:89-10      TYPE:89-02
    C-DA            C-DA            C-DA            OAM PDU
    C-SA            C-SA            C-SA            
    C-TAG (opt)     C-Tag (opt)     S-Tag           
    MSDU            MSDU            C-Tag (opt)     
                                    MSDU

My porposal is to add this 802.1ah Bridge Moduel model to the next version
of draft-ietf-l2vpn-vpls-bridge-interop to describe the functionality of
VPLS capable PEs that support directly the 802.1ah defined port-based and
S-Tagged services.

Regards,
Maarten

---

From: "Peng He" <[email-masked]>
Date: Thu, 9 Oct 2008 10:48:51 -0400

I like Maarten's proposal (in his three continuous e-mails) and
waiting for the response from the authors of the Internet Draft
'draft-ietf-l2vpn-vpls-bridge-interop, if possible ..

Regards,
Peng

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Fri, 10 Oct 2008 16:53:43 -0700

Maarten,

This draft is primarily for VPLS interop with 802.1ad bridges. I have
couple of drafts in pipeline for 802.1ah, for which we will welcome your
following comments. This draft has gone through the WG last call over a
year and half ago and is now being reviewed by IESG. The minor editorial
changes that have been made are solely intended to address IESG
comments. 

Regards,
Ali   

> -----Original Message-----
> From: Maarten Vissers [mailto:[email-masked]] 
> Sent: Sunday, October 05, 2008 11:43 AM
> To: Dinesh Mohan; Ali Sajassi (sajassi)
> Cc: [email-masked]
> Subject: Add 802.1ah I-BEB Bridge Module to 
> draft-ietf-l2vpn-vpls-bridge-interop
> 
> Dinesh, Ali,
> 
> draft-ietf-l2vpn-vpls-bridge-interop describes in Figure 2 
> The Model of 802.1ad Bridge Module. Now that 802.1ah is 
> approved we will see I-BEBs being connected as u-PE to VPLS 
> capable n-PEs (see my email "Add I-BEB to VPLS interop to 
> draft-ietf-l2vpn-vpls-bridge-interop"). I expect that this 
> will not be the only PBB related interoperability; the next 
> step is to integrate the I-BEB function in VPLS capable PEs 
> in the same manner as the PEB function was integrated (as per 
> Figure 2). This will then result in the following basic 
> 802.1ah Bridge Module model:
> 
> The port-based services are supported for Untagged, 
> Priority-Tagged, C-Tagged and S-Priority Tagged LAN service 
> interfaces. The frames from those interfaces are encapsulated 
> in a new Backbone MAC frame, which results in the addition of 
> a B-MAC Header with TYPE:89-10, B-SA and B-DA fields to the 
> received frames. For the case of S-Priority Tagged frames, 
> the S-Priority Tag is removed before the encapsulation.
> 
> S-Tag) of such service passing through a S-VLAN bridge 
> function after which these service frames are encapsulated in 
> a Backbone MAC frame, which results in the addition of a 
> B-MAC Header with TYPE:89-10, B-SA and B-DA fields. The S-Tag 
> is not part of these frames.
> 
> The bundling/all-to-one bundling S-Tagged services result in 
> the S-VLAN frames (without their S-Tag) of such service 
> passing through a S-VLAN bridge function after which these 
> service frames are multiplexed in the S-VLAN multiplex 
> function that inserts the S-Tag and then encapsulated in a 
> Backbone MAC frame, which results in the addition of a B-MAC 
> Header with TYPE:89-10, B-SA and B-DA fields.
> 
> After the encapsulation a MEP function will follow that 
> inserts Ethernet OAM to monitor the service.
> 
> The frame formats after the MAC Header insertion and MEP 
> functions are then as follows for the different services:
> 
>                   1-to-1         bundling
> My porposal is to add this 802.1ah Bridge Moduel model to the 
> next version of draft-ietf-l2vpn-vpls-bridge-interop to 
> describe the functionality of VPLS capable PEs that support 
> directly the 802.1ah defined port-based and S-Tagged services.
> 
> Regards,
> Maarten
> 
> 
> 
>